---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: overseerr-exporter
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: doppler
  target:
    name: overseerr-exporter-secret
    creationPolicy: Owner
    template:
      engineVersion: v2
      data:
        APIKEY: "{{ .OVERSEERR_API_KEY }}"
  dataFrom:
    - extract:
        key: OVERSEERR
